## org.h2.util
Class CacheHead

    java.lang.Object
      org.h2.util.CacheObject
          org.h2.util.CacheHead

    public class CacheHead

extends CacheObject

The head element of the linked list.

Field Summary

Fields inherited from class org.h2.util.CacheObject
`blockCount, cacheQueue, chained, next, previous`

Constructor Summary
`CacheHead()`

Method Summary
`boolean` `canRemove()` Check if the object can be removed from the cache.

Methods inherited from class org.h2.util.CacheObject
`getBlockCount, getMemorySize, getPos, isChanged, isPinned, setBlockCount, setChanged, setPos, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheHead

    public CacheHead()

Method Detail

### canRemove

    public boolean canRemove()

  Description copied from class: `CacheObject`
  Check if the object can be removed from the cache. For example pinned objects can not be removed.

  Specified by:
    `canRemove` in class `CacheObject`
  Returns:
    true if it can be removed